Subject: Re: OpenLDAP
From: Jason Tishler <[email-masked]>
To: Emmanuel Blot <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Nov 2000 21:08:42 -0500

Emmanuel,

On Tue, Nov 14, 2000 at 05:28:12PM -0000, Emmanuel Blot wrote:
> Has someone been able to compile the OpenLDAP project with Cygwin ?

I have had partial success.  Specifically, I can build everything except
for the servers (i.e., clients and libraries).  Since, I was only really
interested in the libraries, I did not pursue it further.  Although, I
think that the main issue is the lack of full Cygwin pthreads support --
which I think that you have already noticed.

Since then I have learned of GNU Portable Threads:

    http://www.gnu.org/software/pth/pth.html

which can be built as pthreads.  This may or may not work for you in
this context.  It did seem to work to add threading to Cygwin Python as
indicated in:

    http://sources.redhat.com/ml/cygwin/2000-10/msg00805.html

Attached is my recipe for building OpenLDAP including a script to deal
with a case sensitivity issue in too many makefiles to hand edit.  May be
you or someone else will find it helpful.

Let me know if you get the servers to work.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

Subject: Cygwin OpenLdap Build Instructions
From: Jason Tishler <[email-masked]>
To: Jason Tishler <[email-masked]>
Date: Tue, 10 Oct 2000 16:33:18 -0400

1. Install GNU regex 0.12

2. LIBS='-L/usr/local/lib -lregex' CPPFLAGS=-I/usr/local/include configure --without-threads --disable-ldbm --enable-ldap --enable-passwd --enable-shell

3. Use fix.sh to correct *[Vv]ersion.c case problem.  See attached.

4. make depend

5. make

6. make prefix=/tmp/openldap/usr/local install

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
--
Want to unsubscribe from this list?
Send a message to [email-masked]